--[[

Interface: 1.4.4.0 1.4.4RC8

Author: GtX | Andy
Date: 28.05.2017
Version: 1.0

Support: http://ls-modcompany.com

History:
V 1.0 @ 28.05.2017 - Project Started


NOTES:
Simple script to set the visibility of nodes on all connected trailers when the Root Vehicle is started.


EXAMPLE FOR XML:

<trailerRunLights index="0>5|0"/>

]]

trailerRunLights = {};

function trailerRunLights.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function trailerRunLights:load(savegame)
	self.runLights = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.trailerRunLights#index"));
end;

function trailerRunLights:delete()
end;

function trailerRunLights:update(dt)
	local rootAttacherVehicle = self:getRootAttacherVehicle()
	if self.attacherVehicle ~= nil and rootAttacherVehicle.isMotorStarted then
		setVisibility(self.runLights, true);
	else 
		setVisibility(self.runLights, false);
	end;
end;

function trailerRunLights:updateTick(dt)
end;

function trailerRunLights:draw()
end;

function trailerRunLights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function trailerRunLights:keyEvent(unicode, sym, modifier, isDown)
end;

function trailerRunLights:readStream(streamId, connection)
end;

function trailerRunLights:writeStream(streamId, connection)
end;

function trailerRunLights:readStreamUpdate(streamId, connection)
end;

function trailerRunLights:writeStreamUpdate(streamId, connection)
end;

